*{
    --primary: #3864C5;
    --secondary: #DA2A1D;
    --buttoncolor: #494949;
    margin: 0;
    padding: 0;
    font-family: Rowdies;
}

@font-face {
    font-family: AvenirRoman;
    src: url(Asset/font/Avenir-Roman.ttf);
 }

 body{
    font-family: AvenirRoman;
 }

 [v-cloak]{
  display: none;
}

.registration-page, .ar-intro-page, .result-page, .api-error-page{
    height: 100dvh;
    background-image: url(Asset/ntmc/body-bg.png);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
}

.intro-page{
  height: 100dvh;
  background-image: url(Asset/ntmc/body-bg-intro.png);
  background-size: 100%;
  background-repeat: no-repeat;
  background-position: center;
}



.intro-page .markonah-logo{
    text-align: center;
    padding-top: 30px;
}

.intro-page .markonah-logo .intro-page-title{
  color: white;
  font-size: 25px;
  /* text-shadow: -0.1px 0 #021430, 0 0.1px #021430, 0.1px 0 #021430, 0 -0.1px #021430; */
  font-family: Rowdies;
  font-weight: 400;
  background: linear-gradient(180deg, #C9D0DE 0%, rgba(83, 122, 209, 0.47) 50.94%, rgba(255, 255, 255, 0.00) 75.42%, #92A5CE 97.81%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: #2E3192;
}

.intro-page .scanpedia-logo{
    text-align: center;
    margin: 30px auto;
}

.intro-text p{
    font-size: 16px;
    text-align: center;
    padding: 0px 50px;
    line-height: 24px;
    font-weight: 700;
    color: #2E3192;
    /* margin-top: 40px; */
}

.intro-text span{
    color: #2E3192;
    font-weight: 600;
}

.intro-page .try-now-btn{
    /* margin: 50px auto 0px auto; iPhone */
    position: absolute;
    margin: 0 auto;
    left: 0;
    right: 0;
    bottom: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 218px;
    padding: 20px 16px;
    border: none;
    background: none;
    font-family: Rowdies;
    font-size: 28px;
    font-weight: 600;
    color: #BB3F5C;
    text-shadow: -1.2px 0 #FFFFFF, 0 1.2px #FFFFFF, 1.2px 0 #FFFFFF, 0 -1.2px #FFFFFF;
    background-image: url(Asset/ntmc/button-bg-default.png);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
}

.intro-page .try-now-btn:hover{
    background-image: url(Asset/ntmc/button-bg-hover.png);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    color: var(--buttoncolor);
}

.intro-page .try-now-btn:focus{
  background-image: url(Asset/ntmc/button-bg-selected.png);
  background-size: 100%;
  background-repeat: no-repeat;
  background-position: center;
  color: var(--buttoncolor);
}

.registration-form .form{
    display: flex;
    flex-direction: column;
    padding-top: 30px;
}

.registration-form label{
    margin-left: 15px;
    font-weight: 400;
}

.registration-form .form input{
    width: 85%;
    margin: 10px 10px;
    padding: 12px 16px;
    border-radius: 41px;
    border: 1px solid var(--primary) ;
    box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.13);
}

.registration-form .form button{
    /* Iphone margin 240px */
    position: absolute;
    margin: 0 auto;
    left: 0;
    right: 0;
    bottom: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 218px ;
    padding: 20px 16px;
    border: none;
    background: none;
    font-family: Rowdies;
    font-size: 28px;
    font-weight: 600;
    color: #BB3F5C;
    text-shadow: -1.2px 0 #FFFFFF, 0 1.2px #FFFFFF, 1.2px 0 #FFFFFF, 0 -1.2px #FFFFFF;
    /* background-color: var(--primary); */
    /* box-shadow: 2px -4px 0px 0px rgba(0, 0, 0, 0.25) inset; */
    background-image: url(Asset/ntmc/button-bg-default.png);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
}


.registration-form .form button:hover{
    background-image: url(Asset/ntmc/button-bg-hover.png);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    color: var(--buttoncolor);
}

.registration-form .form button:focus{
    background-image: url(Asset/ntmc/button-bg-selected.png);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    color: var(--buttoncolor);
}

.ar-intro-page{
    position: relative;
}

.ar-intro-page .ar-title{
  display: flex;
  justify-content: space-around;
  padding-top: 50px;
}

.ar-intro-page .ar-title .ar-title-text h3{
  font-size: 26px;
  font-weight: 700;
  font-family: Rowdies;
  -webkit-text-stroke-width: 2px;
  -webkit-text-stroke-color: #2F365B;
  color: #DCECFE;
  text-shadow: -1.2px 0 #FFFFFF, 0 1.2px #FFFFFF, 1.2px 0 #FFFFFF, 0 -1.2px #FFFFFF;

  
}

.ar-intro-page .ar-bubble{
    position: absolute;
    margin: 0 auto;
    left: 0;
    right: 0;
    bottom: 250px;
    /* bottom: 300px; */

    animation: zoom-in 0.8s ease forwards;
}

.ar-intro-page .rear-camera-btn{
    width: 312px;
    padding: 20px 16px;
    border: none;
    background: none;
    color: #BB3F5C;
    text-shadow: -1.2px 0 #FFFFFF, 0 1.2px #FFFFFF, 1.2px 0 #FFFFFF, 0 -1.2px #FFFFFF;
    background-image: url(Asset/ntmc/button-bg-default-long.png);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    font-family: Rowdies;
    font-size: 22px;
    font-weight: 600;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    margin: 0 auto;
    left: 0;
    right: 0;
    bottom: 30px;
    z-index: 100;
    padding-top: 10px;
   
}

.ar-intro-page .rear-camera-btn:hover{
  color: var(--primary);
  background-color: white;
}

.ar-intro-page .marko3{
    position: absolute;
    bottom : 0px;
    left: -23%;
    /* bottom: 55px; */
}

.ar-intro-page .loading-camera{
  position: absolute;
  bottom: 10px;
  right: 10px;
  font-size: 1.5rem;
}


.ar-experience{
    position: relative;
    height: 100dvh;
}

.ar-experience .marko-gif{
  position: absolute;
  left: 50%;
  top: 37%;
  margin: 0 auto;
  transform: translate(-50%,-50%);
  z-index: 101;
}

.ar-experience .marko-gif img{
  animation: shake 5s;
  animation-iteration-count: infinite;
  
}

.ar-experience .ar-overlay{
    height: 100%;
    width: 100%;
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    background-color: rgb(0,0,0); /* Black fallback color */
    background-color: rgba(0,0,0, 0.3); /* Black w/opacity */
}

.overlays{
  height: 100%;
  width: 100%;
  position: fixed; /* Stay in place */
  z-index: 1000; /* Sit on top */
  left: 0;
  top: 0;
  background-color: rgb(0,0,0); /* Black fallback color */
  background-color: rgba(0,0,0, 0.8); /* Black w/opacity */
}

.hole {
    position: fixed;
    top: 30%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 20em;
    height: 20em;
    box-shadow: 0 0 0 9999px rgba(0, 0, 0, 0.7);
    z-index: 100;
    border-radius: 10px;
}

.scanner-border {
    position: fixed;
    top: 30%;
    left: 50%;
    transform: translate(-50%, -50%);
    width:20em;
    z-index: 1;
}

.ar-guidance{
    width: 312px;
    border: 2px solid var(--primary);
    border-radius: 11px;
    padding: 8px 8px;
    text-align: center;
    background-color: #EFEFEF;

    position: absolute;
    margin: 0 auto;
    left: 0;
    right: 0;
    bottom: 80px;
    z-index: 101;
}

.ar-guidance p{
    color: var(--primary);
    font-size: 16px;
    font-weight: 500;
    
}

.ar-start-quiz{
    position: relative;
}

.ar-start-quiz .marko3, .ar-start-quiz .marko3-clickme{
    position: absolute;
    z-index: 101;
    margin: 0 auto;
    left: 0;
    right: 0;
}

.ar-start-quiz .marko3{
    top: 50px;
    animation: zoom-in 1s ease forwards;
}

.ar-start-quiz .marko3-clickme{
    /* top: 320px; */
    visibility: hidden;
    animation: fadeIn 0.4s 0.4s forwards, zoom-in 0.4s ease forwards;
    animation-delay: 1s;
    position: fixed;
    margin: 0 auto;
    left: 0;
    right: 0;
    bottom: 30px;
    z-index: 100;
}

.loading{
  position: absolute;
  z-index: 999999;
  left: 50%;
  top: 30%;
  transform: translate(-50%,-50%);
  margin: 0 auto;
  color: var(--secondary);
  font-size: 30px;
  /* width: 70%; */
  font-weight: 600;
}

.quiz-container{
    position: absolute;
    margin: 0 auto;
    bottom: 100px;
    left: 0;
    right: 0;
    z-index: 200;

    width: 312px;
    height: 320px;
    background-image: url(Asset/ntmc/quiz-holder-higher.png);
    background-repeat: no-repeat;
    background-size: 100%;
}

.quiz-container img{
    position: absolute;
    top: -50px;
    left: 0;
    right: 0;
    margin: 0 auto;
    width: 80px;
    border-radius: 100px;
    border: 2px solid #28478E;
    background-color: #3C6ACE;
    padding: 5px;
}

.quiz-container .question-number{
    font-size: 14px;
    font-weight: 600;
    color: #2A4B94;
    padding-left: 25px;
    padding-top: 25px;
}

.quiz-container .question{
    position: absolute;
    top: 17%;
    left: 0;
    right: 0;
    margin: 0 auto;
    font-size: 14px;
    font-weight: 600;
    text-align: center;
    color: #656565;
    padding: 0px 20px;
    display: flex;
    align-items: center; /* Maybe Replaced? */
    justify-content: center;
    height: 63px; /* Three Rows of Question */
  }
  
  .quiz-container .btn-grid{
    display: grid;
    grid-template-columns: repeat(2, auto);
    gap: 1px;
    margin: 5px 10px;
    position: absolute;
    /* top: 45%; */
    right: 0px;
    left: 0px;
    bottom: 13%;
    /* height: 81px; */
  }
  
  .quiz-container .box{
    padding: 12px 8px;
    margin: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    border-radius: 24px;
    background: var(--primary);
    box-shadow: 2px -4px 0px 0px rgba(0, 0, 0, 0.25) inset;
    text-align: center;
    font-size: 11px;
    /* font-weight: 400; */
    font-family: Arial, Helvetica, sans-serif;
    width: 120px;
    /* text-shadow: -1.2px 0 #FFFFFF, 0 1.2px #FFFFFF, 1.2px 0 #FFFFFF, 0 -1.2px #FFFFFF; */
  }

  .correct{
    background: #17A225 !important;
    color: #FFF !important;
    text-shadow: none !important;
  }

  .wrong{
    background: #DA6767 !important;
    color: #FFF !important;
    text-shadow: none !important;
  }

  .answered{
    pointer-events: none;
    background-color: #989898 !important;
    color: #525252 !important;
  }

  .quiz-score-logo{
    position: absolute;
    top: 3%;
    left: 30px;
    z-index: 201;
    
    
  }

  .quiz-score{
    position: absolute;
    top: 5%;
    right: 30px;
    z-index: 201;
    background-color: #FFF;
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: center;
    padding: 7px 16px;
    border-radius: 8px;
    width: 60px;
  }

  .quiz-score p{
    font-size: 17px;
    font-weight: 700;
    color: #525252;
  }

  .salahdialog, .benardialog{
    position: absolute;
    top: -35px;
    right: 10px;
    font-size: 17px ;
    text-align: center;
    z-index: 11000;

    padding: 4px 8px;
    border-radius: 34px;
    background-color: #FFF;
    box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.25);
    font-weight: 700;
  }

  .salahdialog{
    color: #DA6767;
  }

  .benardialog{
    color: #17A225;
  }

  .next-question-btn, .questionnext{
    position: absolute;
    margin: 0 auto;
    left: 0;
    right: 0;
    top: 320px;
    padding: 31px 16px;
    text-shadow: -1.2px 0 #FFFFFF, 0 1.2px #FFFFFF, 1.2px 0 #FFFFFF, 0 -1.2px #FFFFFF;
    border: none;
    background: none;
    font-size: 22px;
    font-weight: 600;
    color: #BB3F5C;
    background-image: url(Asset/ntmc/button-bg-default-long.png);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    padding-top: 15px;
  }

  .quiz-finished{
    position: absolute;
    margin: 0 auto;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 100000;
    width: 264px;
    height: 126px;
    background: none;
    border: none;
    background-image: url(Asset/ntmc/VE/border-kuis-selesai.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
  }

  .questionnextdisabled{
    position: absolute;
    margin: 0 auto;
    left: 0;
    right: 0;
    top: 250px;
    padding: 20px 16px;
    border-radius: 41px;
    border: 2px solid var(--primary);
    box-shadow: 0px 2px 6px 0px rgba(0, 0, 0, 0.20);

    font-size: 16px;
    font-weight: 600;
    color: gray;
    pointer-events: none;
    opacity: 0;
  }


  .result-page{
    text-align: center;
    position: relative;
  }

  .result-page .markonah-logo{
    padding-top: 30px;    
  }

  .result-page p{
    font-size: 18px;
    margin: 0px 80px 20px 80px;
    color: #555555;
    font-weight: 400;
    line-height: 27px;
  }

  .result-page .result-score h5{
    font-size: 14px;
    color: #282828;
    margin: 0px auto 0px auto;
    padding-top: 20px;
  }

  .result-page .result-score{
    height: 114px;
    background-image: url(Asset/ntmc/VE/border-skor-akhir.png);
    background-repeat: no-repeat;
    background-position: center;   
    background-size: 120px; 
  }

  .result-page .result-score .score{
    font-size: 50px;
    font-weight: 400;
    color: #333; 
  }

  .result-page .claim-rewards, .result-page .try-again{
    margin-left: 130px;
    margin-top: 0px;
    width: 230px;
    height: 221px;
    text-align: left;
    background-image: url(Asset/ntmc/VE/result-ucapan.png);
    background-size: 100%;
  }

  .result-page .claim-rewards .claim-rewards-message,
  .result-page .try-again .try-again-message{
    font-size: 14px;
    font-weight: 600;
    color: #656565;
    padding: 17px 30px;
    line-height: 18px;
  }


  .result-page .claim-rewards .marko3,
  .result-page .try-again .marko3{
    position: absolute;
    bottom: 0px;
    /* bottom: 85px; */
    left: -23%;
  }

  .result-page .claim-rewards-btn,
  .result-page .try-again-btn{
    position: absolute;
    width: 312px;
    padding: 20px 16px;
    border-radius: 41px;
    border: none;
    background: none;
    text-shadow: -1.2px 0 #FFFFFF, 0 1.2px #FFFFFF, 1.2px 0 #FFFFFF, 0 -1.2px #FFFFFF;
    background-image: url(Asset/ntmc/button-bg-default-long.png);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    color: #BB3F5C;    
    font-family: Rowdies;
    font-size: 22px;
    font-weight: 600;
    text-align: center;
    box-shadow: 0px 2px 6px 0px rgba(0, 0, 0, 0.20);
    left: 0;
    right: 0;
    margin: 0 auto;
    bottom: 30px;
    padding-top: 10px;
  }

  .confeti{
    position: absolute;
    top: 0%;
    left: 0;
  }

  .result-rating{
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 324px;
    height: 306px;
    background-image: url(Asset/ntmc/rating-holder.png);
    animation: slideUp 1s ease forwards ;
  }

  .result-rating .close-btn{
    position: absolute;
    right: 15px;
    top: 10px;
  }

  .result-rating .result-rating-message{
    padding: 60px 30px;
    font-size: 14px;
    font-weight: 600;
    color: #525252;
    line-height: 100%;
    background-image: url(Asset/ntmc/rating-background.png);
    background-position: center;
    background-repeat: no-repeat;
  }

  .result-rating .stars{
    font-size: 35px;
  }

  .result-rating .star-message{
    font: 14px;
    margin: 5px auto;
    font-weight: 500;
  }

  .result-rating .submit-btn.disabled{
    cursor: not-allowed;
    background: none;
    background-image: url(Asset/ntmc/sumbit-btn-disabled.png);
    background-size: 100%;
    background-repeat: no-repeat;
    width: 144px;
    height: 46.24px;
    border: none;

  }

  .result-rating .submit-btn{
    margin: 20px auto;
    padding: 10px 20px;
    background: none;
    background-image: url(Asset/ntmc/submit-btn-active.png);
    background-size: 100%;
    background-repeat: no-repeat;
    width: 144px;
    height: 46.24px;
    border: none;  
  }

 

  .stars{
    display: flex;
    justify-content: center;
    gap: 10px;
  }

  .stars i {
    color: #BDBDBD;
    font-size: 35px;
    cursor: pointer;
    transition: color 0.2s ease;
  }
    
  .stars i.active {
    color: #FFbA00;
  }


  .coupon-page{
    position: relative;
    height: 100dvh;
    background-image: url(Asset/coupon/background.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    
  }

  .coupon-page .coupon-details{
    width: 318px;
    height: 477px;
    background-image: url(Asset/coupon/coupon-background.png);
    background-position: center;
    position: absolute;
    margin: 0 auto;
    left: 0;
    right: 0;
    top: 35px;

  }

  .coupon-page .coupon-details .coupon-details-img{
    display: flex;
    margin: 20px auto;
  }

  .coupon-page .coupon-details .coupon-details-data{
    text-align: center;
    margin-top: 70px;
    display: grid;
    grid-template-columns: repeat(2, auto);
    gap: 0.5px;
  }

  .coupon-page .coupon-details .coupon-details-data .coupon-details-data-bio{
    text-align: justify;
    display: flex;
    justify-content: space-evenly;
  }


  .coupon-page .coupon-details .coupon-details-data .coupon-details-data-bio p{
    color: #656565;
    font-size: 13px;
    font-weight: 400;
  }

  .coupon-page .coupon-button{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }

  .coupon-page .coupon-button .capture-btn{
    font-family: AvenirRoman;
    font-size: 14px;
    padding: 4px 16px;
    /* border-radius: 4px; */
    /* border: 1px solid rgba(255, 255, 255, 0.80)  ; */
    background: rgba(255, 255, 255, 0.80);
    /* backdrop-filter: blur(12px); */
    margin: 530px auto 10px auto;
    cursor: pointer;
    text-align: center;
    font-weight: 600;
  }

  .coupon-page .coupon-button .back-to-home-btn{
    font-family: AvenirRoman;
    font-size: 17px;
    font-weight: 600;
    color: var(--primary);
    background-color: #FFFFFF;
    box-shadow: 0px 2px 6px 0px rgba(0, 0, 0, 0.20);
    padding: 16px 16px;
    width: 312px;
    border-radius: 41px;
    border: 2px solid var(--primary);
    cursor: pointer;
    position: absolute;
    bottom: 10px;
  }

  .coupon-page .coupon-button .back-to-home-btn:hover{
    background-color: var(--primary);
    color: #FFFFFF;
  }
  
  .api-error-page{
    text-align: center;
    position: relative;
  }

  .api-error-page h1{
    color: var(--primary);
    padding-top: 100px;
    padding-bottom: 20px;
    
  }

  .api-error-page p{
    color: gray ;
    font-size: 20px;
    padding: 0px 30px;
  }

  .api-error-page button{
    font-family: AvenirRoman;
    font-size: 17px;
    font-weight: 600;
    color: #FFF;
    background-color: var(--primary);
    box-shadow: 0px 2px 6px 0px rgba(0, 0, 0, 0.20);
    padding: 16px 16px;
    width: 312px;
    border-radius: 41px;
    border: 2px solid var(--primary);
    cursor: pointer;
    position: absolute;
    left: 0;
    right: 0;
    margin: 0 auto;
    bottom: 20px;
  }

  



/* Animation */
@keyframes zoom-in {
    0%{
        transform: scale(0.1);
    }
    100%{
        transform: scale(1);
    }

}

@keyframes fadeIn {
    0% {
      visibility: hidden;
      opacity: 0;
    }
    100% {
      visibility: visible;
      opacity: 1;
    }
}

@keyframes slideUp{
    0%{
        transform: translate(-50%, 150%);
    }

    100%{
        transform: translate(-50%,-50%);
    }
}

@keyframes shake {
  0% { transform: rotate(0deg); }
  10% { transform: rotate(-1deg); }
  20% { transform: rotate(1deg); }
  30% { transform: rotate(0deg); }
  40% { transform: rotate(1deg); }
  50% { transform: rotate(-1deg); }
  60% { transform: rotate(0deg); }
  70% { transform: rotate(-1deg); }
  80% { transform: rotate(1deg); }
  90% { transform: rotate(0deg); }
  100% { transform: rotate(-1deg); }
}
  

/* Responsive Design */
/* @media (min-height: 700px){
  .intro-page .try-now-btn{
    margin: 90px auto 0px auto; 
  }

  .registration-form .form button{
    margin: 330px auto 0px auto;
  }

  .ar-intro-page .marko3{
    bottom : 105px;
  }

  .result-page .claim-rewards-btn,
  .result-page .try-again-btn{
    margin-top: 170px;
  }

  .result-page .claim-rewards .marko3,
  .result-page .try-again .marko3{
    bottom: 130px;
  }

  .coupon-page .coupon-button .back-to-home-btn{
    margin-top: 40px;
  }

  .quiz-container{
    top: 400px;
  }

} */

/* @media (min-height: 720px){
  .intro-page .try-now-btn{
    margin: 120px auto 0px auto; 
    
  }

  .registration-form .form button{
    margin: 360px auto 0px auto;
  }

  .ar-intro-page .marko3{
    bottom : 60px;
  }

  .result-page .claim-rewards-btn,
  .result-page .try-again-btn{
    margin-top: 170px;
  }

  .result-page .claim-rewards .marko3,
  .result-page .try-again .marko3{
    bottom: 85px;
  }

  .coupon-page .coupon-button .back-to-home-btn{
    margin-top: 40px;
  }

  .quiz-container{
    top: 400px;
  }

  .ar-intro-page .rear-camera-btn{
    bottom: 80px ;
  }

} */

/* @media (min-height: 592px){
  body{
    transform: scale(0.8);
  }
} */
